Bug 18258 - Add the Koha::Biblio->subscriptions method
Summary: Add the Koha::Biblio->subscriptions method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18259
  Show dependency treegraph
 
Reported: 2017-03-13 18:26 UTC by Jonathan Druart
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18258: Add the Koha::Biblio->subscriptions method (2.26 KB, patch)
2017-03-13 18:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18258: Add the Koha::Biblio->subscriptions method (2.39 KB, patch)
2017-03-15 19:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18258: Add the Koha::Biblio->subscriptions method (2.44 KB, patch)
2017-03-29 17:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18258: (QA followup) Use Koha::Subscriptions (634 bytes, patch)
2017-03-29 17:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-13 18:26:49 UTC

    
Comment 1 Jonathan Druart 2017-03-13 18:31:46 UTC
Created attachment 61050 [details] [review]
Bug 18258: Add the Koha::Biblio->subscriptions method

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green
Comment 2 Marc Véron 2017-03-15 19:28:25 UTC
Created attachment 61121 [details] [review]
Bug 18258: Add the Koha::Biblio->subscriptions method

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Tomás Cohen Arazi 2017-03-29 17:51:45 UTC
Created attachment 61692 [details] [review]
Bug 18258: Add the Koha::Biblio->subscriptions method

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2017-03-29 17:51:51 UTC
Created attachment 61693 [details] [review]
Bug 18258: (QA followup) Use Koha::Subscriptions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2017-03-31 10:49:56 UTC
Pushed to master for 17.05, thanks Jonathan, Tomas!
Comment 6 Katrin Fischer 2017-04-02 16:15:35 UTC
This won't get ported back to 16.11.x as it is an enhancement.